OrcProto.Type.Builder (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Class OrcProto.Type.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<OrcProto.Type.Builder>
      - - org.apache.orc.OrcProto.Type.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, OrcProto.TypeOrBuilder
  Enclosing class:
    OrcProto.Type

      public static final class OrcProto.Type.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<OrcProto.Type.Builder>
      implements OrcProto.TypeOrBuilder

  Protobuf type `orc.proto.Type`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrcProto.Type.Builder` | `addAllFieldNames(Iterable<String> values)` `repeated string fieldNames = 3;`
    `OrcProto.Type.Builder` | `addAllSubtypes(Iterable<? extends Integer> values)` `repeated uint32 subtypes = 2 [packed = true];`
    `OrcProto.Type.Builder` | `addFieldNames(String value)` `repeated string fieldNames = 3;`
    `OrcProto.Type.Builder` | `addFieldNamesBytes(com.google.protobuf.ByteString value)` `repeated string fieldNames = 3;`
    `OrcProto.Type.Builder` | `addSubtypes(int value)` `repeated uint32 subtypes = 2 [packed = true];`
    `OrcProto.Type` | `build()`
    `OrcProto.Type` | `buildPartial()`
    `OrcProto.Type.Builder` | `clear()`
    `OrcProto.Type.Builder` | `clearFieldNames()` `repeated string fieldNames = 3;`
    `OrcProto.Type.Builder` | `clearKind()` `optional .orc.proto.Type.Kind kind = 1;`
    `OrcProto.Type.Builder` | `clearMaximumLength()` `optional uint32 maximumLength = 4;`
    `OrcProto.Type.Builder` | `clearPrecision()` `optional uint32 precision = 5;`
    `OrcProto.Type.Builder` | `clearScale()` `optional uint32 scale = 6;`
    `OrcProto.Type.Builder` | `clearSubtypes()` `repeated uint32 subtypes = 2 [packed = true];`
    `OrcProto.Type.Builder` | `clone()`
    `OrcProto.Type` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `String` | `getFieldNames(int index)` `repeated string fieldNames = 3;`
    `com.google.protobuf.ByteString` | `getFieldNamesBytes(int index)` `repeated string fieldNames = 3;`
    `int` | `getFieldNamesCount()` `repeated string fieldNames = 3;`
    `List<String>` | `getFieldNamesList()` `repeated string fieldNames = 3;`
    `OrcProto.Type.Kind` | `getKind()` `optional .orc.proto.Type.Kind kind = 1;`
    `int` | `getMaximumLength()` `optional uint32 maximumLength = 4;`
    `int` | `getPrecision()` `optional uint32 precision = 5;`
    `int` | `getScale()` `optional uint32 scale = 6;`
    `int` | `getSubtypes(int index)` `repeated uint32 subtypes = 2 [packed = true];`
    `int` | `getSubtypesCount()` `repeated uint32 subtypes = 2 [packed = true];`
    `List<Integer>` | `getSubtypesList()` `repeated uint32 subtypes = 2 [packed = true];`
    `boolean` | `hasKind()` `optional .orc.proto.Type.Kind kind = 1;`
    `boolean` | `hasMaximumLength()` `optional uint32 maximumLength = 4;`
    `boolean` | `hasPrecision()` `optional uint32 precision = 5;`
    `boolean` | `hasScale()` `optional uint32 scale = 6;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `OrcProto.Type.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `OrcProto.Type.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `OrcProto.Type.Builder` | `mergeFrom(OrcProto.Type other)`
    `OrcProto.Type.Builder` | `setFieldNames(int index, String value)` `repeated string fieldNames = 3;`
    `OrcProto.Type.Builder` | `setKind(OrcProto.Type.Kind value)` `optional .orc.proto.Type.Kind kind = 1;`
    `OrcProto.Type.Builder` | `setMaximumLength(int value)` `optional uint32 maximumLength = 4;`
    `OrcProto.Type.Builder` | `setPrecision(int value)` `optional uint32 precision = 5;`
    `OrcProto.Type.Builder` | `setScale(int value)` `optional uint32 scale = 6;`
    `OrcProto.Type.Builder` | `setSubtypes(int index, int value)` `repeated uint32 subtypes = 2 [packed = true];`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.Type.Builder>`

    - #### clear

          public OrcProto.Type.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.Type.Builder>`

    - #### clone

          public OrcProto.Type.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.Type.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.Type.Builder>`

    - #### getDefaultInstanceForType

          public OrcProto.Type getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public OrcProto.Type build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public OrcProto.Type buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public OrcProto.Type.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<OrcProto.Type.Builder>`

    - #### mergeFrom

          public OrcProto.Type.Builder mergeFrom(OrcProto.Type other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.Type.Builder>`

    - #### mergeFrom

          public OrcProto.Type.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                          throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<OrcProto.Type.Builder>`
      Throws:
        `IOException`

    - #### hasKind

          public boolean hasKind()

      `optional .orc.proto.Type.Kind kind = 1;`
      Specified by:
        `hasKind` in interface `OrcProto.TypeOrBuilder`

    - #### getKind

          public OrcProto.Type.Kind getKind()

      `optional .orc.proto.Type.Kind kind = 1;`
      Specified by:
        `getKind` in interface `OrcProto.TypeOrBuilder`

    - #### setKind

          public OrcProto.Type.Builder setKind(OrcProto.Type.Kind value)

      `optional .orc.proto.Type.Kind kind = 1;`

    - #### clearKind

          public OrcProto.Type.Builder clearKind()

      `optional .orc.proto.Type.Kind kind = 1;`

    - #### getSubtypesList

          public List<Integer> getSubtypesList()

      `repeated uint32 subtypes = 2 [packed = true];`
      Specified by:
        `getSubtypesList` in interface `OrcProto.TypeOrBuilder`

    - #### getSubtypesCount

          public int getSubtypesCount()

      `repeated uint32 subtypes = 2 [packed = true];`
      Specified by:
        `getSubtypesCount` in interface `OrcProto.TypeOrBuilder`

    - #### getSubtypes

          public int getSubtypes(int index)

      `repeated uint32 subtypes = 2 [packed = true];`
      Specified by:
        `getSubtypes` in interface `OrcProto.TypeOrBuilder`

    - #### setSubtypes

          public OrcProto.Type.Builder setSubtypes(int index,
                                                   int value)

      `repeated uint32 subtypes = 2 [packed = true];`

    - #### addSubtypes

          public OrcProto.Type.Builder addSubtypes(int value)

      `repeated uint32 subtypes = 2 [packed = true];`

    - #### addAllSubtypes

          public OrcProto.Type.Builder addAllSubtypes(Iterable<? extends Integer> values)

      `repeated uint32 subtypes = 2 [packed = true];`

    - #### clearSubtypes

          public OrcProto.Type.Builder clearSubtypes()

      `repeated uint32 subtypes = 2 [packed = true];`

    - #### getFieldNamesList

          public List<String> getFieldNamesList()

      `repeated string fieldNames = 3;`
      Specified by:
        `getFieldNamesList` in interface `OrcProto.TypeOrBuilder`

    - #### getFieldNamesCount

          public int getFieldNamesCount()

      `repeated string fieldNames = 3;`
      Specified by:
        `getFieldNamesCount` in interface `OrcProto.TypeOrBuilder`

    - #### getFieldNames

          public String getFieldNames(int index)

      `repeated string fieldNames = 3;`
      Specified by:
        `getFieldNames` in interface `OrcProto.TypeOrBuilder`

    - #### getFieldNamesBytes

          public com.google.protobuf.ByteString getFieldNamesBytes(int index)

      `repeated string fieldNames = 3;`
      Specified by:
        `getFieldNamesBytes` in interface `OrcProto.TypeOrBuilder`

    - #### setFieldNames

          public OrcProto.Type.Builder setFieldNames(int index,
                                                     String value)

      `repeated string fieldNames = 3;`

    - #### addFieldNames

          public OrcProto.Type.Builder addFieldNames(String value)

      `repeated string fieldNames = 3;`

    - #### addAllFieldNames

          public OrcProto.Type.Builder addAllFieldNames(Iterable<String> values)

      `repeated string fieldNames = 3;`

    - #### clearFieldNames

          public OrcProto.Type.Builder clearFieldNames()

      `repeated string fieldNames = 3;`

    - #### addFieldNamesBytes

          public OrcProto.Type.Builder addFieldNamesBytes(com.google.protobuf.ByteString value)

      `repeated string fieldNames = 3;`

    - #### hasMaximumLength

          public boolean hasMaximumLength()

      `optional uint32 maximumLength = 4;`
      Specified by:
        `hasMaximumLength` in interface `OrcProto.TypeOrBuilder`

    - #### getMaximumLength

          public int getMaximumLength()

      `optional uint32 maximumLength = 4;`
      Specified by:
        `getMaximumLength` in interface `OrcProto.TypeOrBuilder`

    - #### setMaximumLength

          public OrcProto.Type.Builder setMaximumLength(int value)

      `optional uint32 maximumLength = 4;`

    - #### clearMaximumLength

          public OrcProto.Type.Builder clearMaximumLength()

      `optional uint32 maximumLength = 4;`

    - #### hasPrecision

          public boolean hasPrecision()

      `optional uint32 precision = 5;`
      Specified by:
        `hasPrecision` in interface `OrcProto.TypeOrBuilder`

    - #### getPrecision

          public int getPrecision()

      `optional uint32 precision = 5;`
      Specified by:
        `getPrecision` in interface `OrcProto.TypeOrBuilder`

    - #### setPrecision

          public OrcProto.Type.Builder setPrecision(int value)

      `optional uint32 precision = 5;`

    - #### clearPrecision

          public OrcProto.Type.Builder clearPrecision()

      `optional uint32 precision = 5;`

    - #### hasScale

          public boolean hasScale()

      `optional uint32 scale = 6;`
      Specified by:
        `hasScale` in interface `OrcProto.TypeOrBuilder`

    - #### getScale

          public int getScale()

      `optional uint32 scale = 6;`
      Specified by:
        `getScale` in interface `OrcProto.TypeOrBuilder`

    - #### setScale

          public OrcProto.Type.Builder setScale(int value)

      `optional uint32 scale = 6;`

    - #### clearScale

          public OrcProto.Type.Builder clearScale()

      `optional uint32 scale = 6;`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.